Aura Logo
AuraAPI Docs
OpenapiV1AnalyticsDashboard

Get dashboard analytics

Alpha API - This endpoint is in active development. Schema may change without notice.

Retrieve dashboard-level KPIs and performance metrics for a date range.

Includes:

  • Total calls, shows, and closes
  • Show rate and close rate
  • Total revenue and cash collected
  • Per-closer performance breakdown

Use Cases:

  • External dashboards displaying key metrics
  • Commission platforms calculating team performance
  • Reporting tools aggregating sales data
GET
/v1/analytics/dashboard

Query Parameters

start_date?string

ISO 8601 start date (defaults to all time)

end_date?string

ISO 8601 end date (defaults to now)

product_id?string

Filter by product ID

Response Body

application/json

application/json

application/json

curl -X GET "https://api.aura-app.ai/v1/analytics/dashboard"
{
  "success": true,
  "data": {
    "total_calls": 150,
    "total_shows": 120,
    "total_closes": 48,
    "show_rate": 0.8,
    "close_rate": 0.32,
    "total_revenue": 1200000,
    "cash_collected": 950000,
    "currency": "USD",
    "rep_performance": [
      {
        "closer_id": "user_2abc123xyz",
        "closer_name": "John Smith",
        "call_count": 25,
        "shows": 20,
        "closes": 8,
        "close_rate": 0.32,
        "show_rate": 0.8,
        "revenue": 250000
      }
    ]
  }
}
{
  "success": false,
  "error": "Failed to fetch analytics",
  "code": "DATABASE_ERROR",
  "requestId": "req_abc123"
}
{
  "success": false,
  "error": "Failed to fetch analytics",
  "code": "DATABASE_ERROR",
  "requestId": "req_abc123"
}